Operating System:

Published:

30 September 2002

Protect yourself against future threats.

-----BEGIN PGP SIGNED MESSAGE-----

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                     ESB-2002.532 -- RHSA-2002:060-17
                    Updated Zope packages are available
                             30 September 2002

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:                Zope
Vendor:                 Red Hat
Operating System:       Red Hat Powertools 7.0
                        Red Hat Powertools 7.1
Platform:               Alpha
                        i386
Impact:                 Execute Arbitrary Code/Commands
                        Denial of Service
                        Access Privileged Data
Access Required:        Remote

- --------------------------BEGIN INCLUDED TEXT--------------------

- ---------------------------------------------------------------------
                   Red Hat, Inc. Red Hat Security Advisory

Synopsis:          Updated Zope packages are available
Advisory ID:       RHSA-2002:060-17
Issue date:        2002-04-11
Updated on:        2002-09-24
Product:           Red Hat Powertools
Keywords:          zope security check proxy role hotfix
Cross references:  
Obsoletes:         RHSA-2001:115
CVE Names:         CAN-2002-0170 CAN-2002-0687 CAN-2002-0688
- ---------------------------------------------------------------------

1. Topic:

Updated Zope packages are available which fix a number of security issues

2. Relevant releases/architectures:

Red Hat Powertools 7.0 - alpha, i386
Red Hat Powertools 7.1 - alpha, i386

3. Problem description:

Zope is a python-based application server.  A number of security hotfixes
have been made available for Zope:

The "through the web code" capability for Zope 2.0 through 2.5.1 b1
allows untrusted users to shut down the Zope server via certain
headers. (CAN-2002-0687)

ZCatalog plug-in index support capability for Zope 2.4.0 through 2.5.1
allows anonymous users and untrusted code to bypass access
restrictions and call arbitrary methods of catalog indexes. (CAN-2002-0688)

Zope 2.2.0 through 2.5.1 does not properly verify the access for objects
with proxy roles, which could allow some users to access documents in
violation of the intended configuration. (CAN-2002-0170)

Users should upgrade to these errata packages that have the Zope 
Hotfixes 2002-03-01, 2002-04-15, and 2002-06-14 applied, and are therefore
not vulnerable to these issues.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

To update all RPMs for your particular architecture, run:

rpm -Fvh [filenames]

where [filenames] is a list of the RPMs you wish to upgrade.  Only those
RPMs which are currently installed will be updated.  Those RPMs which are
not installed but included in the list will not be updated.  Note that you
can also use wildcards (*.rpm) if your current directory *only* contains the
desired RPMs.

Please note that this update is also available via Red Hat Network.  Many
people find this an easier way to apply updates.  To use Red Hat Network,
launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

5. RPMs required:

Red Hat Powertools 7.0:

SRPMS:
ftp://updates.redhat.com/7.0/en/powertools/SRPMS/Zope-2.2.5-17.src.rpm

alpha:
ftp://updates.redhat.com/7.0/en/powertools/alpha/Zope-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.0/en/powertools/alpha/Zope-components-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.0/en/powertools/alpha/Zope-core-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.0/en/powertools/alpha/Zope-pcgi-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.0/en/powertools/alpha/Zope-services-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.0/en/powertools/alpha/Zope-zpublisher-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.0/en/powertools/alpha/Zope-zserver-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.0/en/powertools/alpha/Zope-ztemplates-2.2.5-17.alpha.rpm

i386:
ftp://updates.redhat.com/7.0/en/powertools/i386/Zope-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.0/en/powertools/i386/Zope-components-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.0/en/powertools/i386/Zope-core-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.0/en/powertools/i386/Zope-pcgi-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.0/en/powertools/i386/Zope-services-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.0/en/powertools/i386/Zope-zpublisher-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.0/en/powertools/i386/Zope-zserver-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.0/en/powertools/i386/Zope-ztemplates-2.2.5-17.i386.rpm

Red Hat Powertools 7.1:

SRPMS:
ftp://updates.redhat.com/7.1/en/powertools/SRPMS/Zope-2.2.5-17.src.rpm

alpha:
ftp://updates.redhat.com/7.1/en/powertools/alpha/Zope-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.1/en/powertools/alpha/Zope-components-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.1/en/powertools/alpha/Zope-core-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.1/en/powertools/alpha/Zope-pcgi-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.1/en/powertools/alpha/Zope-services-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.1/en/powertools/alpha/Zope-zpublisher-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.1/en/powertools/alpha/Zope-zserver-2.2.5-17.alpha.rpm
ftp://updates.redhat.com/7.1/en/powertools/alpha/Zope-ztemplates-2.2.5-17.alpha.rpm

i386:
ftp://updates.redhat.com/7.1/en/powertools/i386/Zope-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.1/en/powertools/i386/Zope-components-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.1/en/powertools/i386/Zope-core-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.1/en/powertools/i386/Zope-pcgi-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.1/en/powertools/i386/Zope-services-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.1/en/powertools/i386/Zope-zpublisher-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.1/en/powertools/i386/Zope-zserver-2.2.5-17.i386.rpm
ftp://updates.redhat.com/7.1/en/powertools/i386/Zope-ztemplates-2.2.5-17.i386.rpm



6. Verification:

MD5 sum                          Package Name
- --------------------------------------------------------------------------
0642826c610d3e31d4142215ee247cc4 7.0/en/powertools/SRPMS/Zope-2.2.5-17.src.rpm
9dd9bc54195d71d5d64edf8495d62f74 7.0/en/powertools/alpha/Zope-2.2.5-17.alpha.rpm
bd0e6f517009d658e906bb840cfbaa8b 7.0/en/powertools/alpha/Zope-components-2.2.5-17.alpha.rpm
c1a278c599cd786ce518d20688dfdda5 7.0/en/powertools/alpha/Zope-core-2.2.5-17.alpha.rpm
cde3660e27b360e92ef95102aa5f32e7 7.0/en/powertools/alpha/Zope-pcgi-2.2.5-17.alpha.rpm
d7600f1b7dfb43c7f6c4c3249923795c 7.0/en/powertools/alpha/Zope-services-2.2.5-17.alpha.rpm
f426ba37a1f2e20e39252d070d874d83 7.0/en/powertools/alpha/Zope-zpublisher-2.2.5-17.alpha.rpm
1aa5310d94bbdd22cc1888e4e1f2ff3b 7.0/en/powertools/alpha/Zope-zserver-2.2.5-17.alpha.rpm
c967d91111d000236c836225ff23db82 7.0/en/powertools/alpha/Zope-ztemplates-2.2.5-17.alpha.rpm
aff8048791881a5cfe315d3839f48890 7.0/en/powertools/i386/Zope-2.2.5-17.i386.rpm
df6768922d64f311eb74165f2606d51d 7.0/en/powertools/i386/Zope-components-2.2.5-17.i386.rpm
e5eaa92c39edb0096b0115a691c06f30 7.0/en/powertools/i386/Zope-core-2.2.5-17.i386.rpm
afbd7cedf3c676eb2b8a2078e47f72c6 7.0/en/powertools/i386/Zope-pcgi-2.2.5-17.i386.rpm
bf0432638e4f640f6b488b99aade117b 7.0/en/powertools/i386/Zope-services-2.2.5-17.i386.rpm
4c22b802a7eb01d33e4f57687d770490 7.0/en/powertools/i386/Zope-zpublisher-2.2.5-17.i386.rpm
3af6dc8c6858edfc295d9e169cfe0e8d 7.0/en/powertools/i386/Zope-zserver-2.2.5-17.i386.rpm
d76c715841de7ed66efb595aee0fac1a 7.0/en/powertools/i386/Zope-ztemplates-2.2.5-17.i386.rpm
0642826c610d3e31d4142215ee247cc4 7.1/en/powertools/SRPMS/Zope-2.2.5-17.src.rpm
9dd9bc54195d71d5d64edf8495d62f74 7.1/en/powertools/alpha/Zope-2.2.5-17.alpha.rpm
bd0e6f517009d658e906bb840cfbaa8b 7.1/en/powertools/alpha/Zope-components-2.2.5-17.alpha.rpm
c1a278c599cd786ce518d20688dfdda5 7.1/en/powertools/alpha/Zope-core-2.2.5-17.alpha.rpm
cde3660e27b360e92ef95102aa5f32e7 7.1/en/powertools/alpha/Zope-pcgi-2.2.5-17.alpha.rpm
d7600f1b7dfb43c7f6c4c3249923795c 7.1/en/powertools/alpha/Zope-services-2.2.5-17.alpha.rpm
f426ba37a1f2e20e39252d070d874d83 7.1/en/powertools/alpha/Zope-zpublisher-2.2.5-17.alpha.rpm
1aa5310d94bbdd22cc1888e4e1f2ff3b 7.1/en/powertools/alpha/Zope-zserver-2.2.5-17.alpha.rpm
c967d91111d000236c836225ff23db82 7.1/en/powertools/alpha/Zope-ztemplates-2.2.5-17.alpha.rpm
aff8048791881a5cfe315d3839f48890 7.1/en/powertools/i386/Zope-2.2.5-17.i386.rpm
df6768922d64f311eb74165f2606d51d 7.1/en/powertools/i386/Zope-components-2.2.5-17.i386.rpm
e5eaa92c39edb0096b0115a691c06f30 7.1/en/powertools/i386/Zope-core-2.2.5-17.i386.rpm
afbd7cedf3c676eb2b8a2078e47f72c6 7.1/en/powertools/i386/Zope-pcgi-2.2.5-17.i386.rpm
bf0432638e4f640f6b488b99aade117b 7.1/en/powertools/i386/Zope-services-2.2.5-17.i386.rpm
4c22b802a7eb01d33e4f57687d770490 7.1/en/powertools/i386/Zope-zpublisher-2.2.5-17.i386.rpm
3af6dc8c6858edfc295d9e169cfe0e8d 7.1/en/powertools/i386/Zope-zserver-2.2.5-17.i386.rpm
d76c715841de7ed66efb595aee0fac1a 7.1/en/powertools/i386/Zope-ztemplates-2.2.5-17.i386.rpm


These packages are GPG signed by Red Hat, Inc. for security.  Our key
is available at:
    http://www.redhat.com/about/contact/pgpkey.html

You can verify each package with the following command:
    rpm --checksig  <filename>

If you only wish to verify that each package has not been corrupted or
tampered with, examine only the md5sum with the following command:
    rpm --checksig --nogpg <filename>


7. References:

http://www.zope.org/Products/Zope/hotfixes
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-0170
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-0687
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-0688


Copyright(c) 2000, 2001, 2002 Red Hat, Inc.

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content.  The decision to use any or all of this information is
the responsibility of each user or organisation, and should be done so in
accordance with site policies and procedures.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the original authors to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        http://www.auscert.org.au/Information/advisories.html

If you believe that your system has been compromised, contact AusCERT or
your representative in FIRST (Forum of Incident Response and Security
Teams).

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business 
                hours which are GMT+10:00 (AEST).  On call after hours 
                for member emergencies only.

-----BEGIN PGP SIGNATURE-----
Version: 2.6.3i
Charset: noconv
Comment: ftp://ftp.auscert.org.au/pub/auscert/AUSCERT_PGP.key

iQCVAwUBPZgySyh9+71yA2DNAQG8BgQAjN1yHvySfu7L4yGAc6R960569f0I6rtg
GCu09kMNWS+x4OUrB9+cieFirWPyiwglqPC9g2VZ9s8qJHctJ89b7BDGN2dFd0M8
Bu2EHg0p1yiyIWyA+bCH3fnZtKULhzYLDUv8VJnwkz2eiDwPTSRF/lAJTIoSvWv/
pK8+mIDp4dc=
=Uao7
-----END PGP SIGNATURE-----